<!-- Copyright (c) Vincent Dardel, <vindarez@mailz.org>,  Abelujo Developers-->
<!-- See the COPYRIGHT file at the top-level directory of this distribution-->
<!-- Abelujo is free software: you can redistribute it and/or modify-->
<!-- it under the terms of the GNU Affero General Public License as published by-->
<!-- the Free Software Foundation, either version 3 of the License, or-->
<!-- (at your option) any later version.-->
<!-- Abelujo is distributed in the hope that it will be useful,-->
<!-- but WITHOUT ANY WARRANTY; without even the implied warranty of-->
<!-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the-->
<!-- GNU Affero General Public License for more details.-->
<!-- You should have received a copy of the GNU Affero General Public License-->
<!-- along with Abelujo.  If not, see <http://www.gnu.org/licenses/>.-->

{% extends "base.html" %}
{% block content %}
{% load i18n %}
{% load bootstrap3 %}
{% bootstrap_css %}
{% bootstrap_javascript %}
{% load ngfilter %}

<!-- Nice search results dropdown template: with cover, two lines, many data. -->
<!-- (same as baskets.html) -->
<script type="text/ng-template" id="customTemplate.html">
  <a>
    <table>
      <tr>
        <td>
          <img ng-src="{{ 'match.model.item.cover' | ng }}" width="24" style="padding-right: 3px">
        </td>
        <td>
          <div ng-bind-html="match.label | uibTypeaheadHighlight:query"></div>
          <span style="font-size: 80%">
            <span> {{ 'match.model.item.pubs_repr' | ng }} </span>
            <span> &bull; {{ 'match.model.item.price_fmt' | ng }} </span>
            <span ng-show="match.model.item.presedit"> &bull; {{ 'match.model.item.presedit' | ng }}</span>
            <span ng-show="match.model.item.dist_repr"> &bull; {{ 'match.model.item.dist_repr' | ng }}</span>
          </span>
  </a>
        </td>
      </tr>
    </table>
</script>

<div ng-cloak="ng-cloak" ng-controller="receptionController">
  <div class="row">
    <uib-alert ng-repeat="alert in alerts" type="{{ 'alert.level' | ng }}" close="closeAlert($item)" ng-click="closeAlert($item)">{{ 'alert.message' | ng }}

    </uib-alert>
  </div>
  <div class="row">
    <div class="col-md-3">
      <ul class="list-group">
        <li ng-class="{active: cur_basket.id == -1}" ng-click="showBasket(-1)" class="list-group-item mouse-pointer">{% trans "All cards" %}</li>
        <div ng-repeat="it in shelves">
          <li style="padding: 1px; background-color: {{ 'get_background_color($index)' | ng }}" ng-class="{active: cur_basket.pk == it.pk}" ng-click="showBasket($index)" class="list-group-item mouse-pointer">{{ " it.fields.name " | ng }}<span ng-show="shelves_length[it.pk]" class="badge">{{ "shelves_length[it.pk]" | ng }}</span>
          </li>
        </div>
      </ul>
    </div>
    <div class="col-md-9">
      <div class="row">
        <div class="col-md-6">
          <div class="btn-group">
            <div class="dropdown">
              <button type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" ng-click="validate_reception()" title="{% trans "Empty this list." %}" class="btn btn-success dropdown-toggle">{% trans "Validate" %}</button>
            </div>
          </div>
          <div class="btn-group">
            <button ng-click="toggle_images()" title="{% trans "Hide and show covers (d)" %}" class="btn btn-default"><i class="glyphicon glyphicon-th-list"></i>
            </button><a href="http://abelujo.cc/docs/reception/" target="_blank" title="{% trans "Read the documentation" %}" class="btn btn-default"><i class="glyphicon glyphicon-question-sign"></i></a>
          </div>
        </div>
        <div class="col-md-2"></div>
        <div class="col-md-6">
          <form>
            <p class="input-group">
              <input id="default-input"
                  type="text"
                  typeahead-loading="loadingCards"
                  ng-model="copy_selected"
                  uib-typeahead="copy.repr for copy in getCards($viewValue)"
                  typeahead-template-url="customTemplate.html"
                  typeahead-min-length="3"
                  typeahead-wait-ms="300"
                  typeahead-on-select="add_selected_card($item)"
                  title="{% trans 'Use TAB to validate your choice, Enter to proceed.' %}"
                  id="default-input"
                  autocomplete="off"
                  placeholder="{% trans "Search any isbn, search by keywords in your stock" %}" class="nullable form-control"/>
              <span class="input-group-btn">
                <button type="button" class="btn btn-default"><i class="glyphicon glyphicon-search"></i>
                </button></span>
            </p>
          </form>
        </div>
      </div>
      <ul id="supplier" ng-show="cur_basket.dist_repr">
        <li>{% trans "supplier" %}:  {{ 'cur_basket.dist_repr' | ng }}</li>
      </ul>
      <div ng-hide="copies.length" style="height: 30%; width: 30%" class="middle"><em>{% trans "This list has no books inside… yet." %}</em>
      </div>
      <div ng-hide="copies.length" style="height: 80%; width: 30%" class="middle"><img src="/static/search/bee.png" height="200px" style="opacity: 0.7"/>
      </div>
      <div ng-show="copies.length > page_size" class="col-md-7">
        <div class="btn-group"><span aria-label="page navigation" class="text-right">
            <ul ng-show="copies.length" class="pagination">
              <li class="page-item"><a ng-click="firstPage()" class="page-link">&laquo;</a>
              </li>
              <li class="page-item"><a ng-click="previousPage()" class="page-link"><</a>
              </li>
              <li class="page-item"><a class="page-link">Page {{ 'page' | ng }} / {{ 'meta.num_pages' | ng }} ({{ 'meta.nb_results' | ng }})</a>
              </li>
              <li class="page-item"><a ng-click="nextPage()" class="page-link">></a>
              </li>
              <li class="page-item"><a ng-click="lastPage()" class="page-link">&raquo;</a>
              </li>
            </ul></span>
        </div>
        <div class="btn-group">
          <select ng-show="copies.length" ng-model="page_size" ng-options="it for it in page_sizes" style="width: 5em" class="form-control"></select>
        </div>
      </div>
      <h4>{{ 'cur_basket.fields.name' | ng }}</h4>
      <div>{% trans "Total cards" %}: {{ 'total_basket_quantity' | ng }}</div>
      <div style="margin-top: 5px;" ng-show="copies.length > 90" class="panel panel-info">
        <div class="panel-heading">{% trans "INFO" %}</div>
        <div class="panel-body">
          <div>{% trans "This list is getting large. You should click the Validate button to archive it." %}</div>
        </div>
      </div>
      <table ng-cloak="ng-cloak" ng-show="copies.length" class="table table-condensed table-striped">
        <thead>
          <th ng-show="show_images" class="mouse-pointer"></th>
          <th ng-click="sort_by('title')" class="mouse-pointer">{% trans "Title" %}<span class="caret"></span>
          </th>
          <th ng-click="sort_by('shelf')" class="mouse-pointer">{% trans "Shelf" %}<span class="caret"></span>
          </th>
          <th ng-click="sort_by('pubs_repr')" onclick="sort_by('title')" title="click to sort" class="mouse-pointer">{% trans "Publisher" %}<span ng-click="sort_by('pubs_repr')" class="caret"></span>
          </th>
          <th ng-click="sort_by('distributor')" title="click to sort" class="mouse-pointer">{% trans "Supplier" %}<span class="caret"></span>
          </th>
          <th ng-click="sort_by('created')" class="mouse-pointer">{% trans "Created" %}<span class="caret"></span>
          </th>
          <th ng-click="sort_by('quantity')" title="click to sort" class="mouse-pointer">{% trans "In stock" %}<span class="caret"></span>
          </th>
          <th ng-click="sort_by('price')" title="click to sort" class="mouse-pointer text-right">{% trans "Price" %}<span class="caret"></span>
          </th>
          <th ng-click="sort_by('basket_qty')" title="click to sort" class="mouse-pointer"><span class="caret"></span>
          </th>
        </thead>
        <tbody>
          <tr>
            <td ng-show="show_images">
              <div class="col-md-6"></div>
            </td>
            <td>{% trans "Total" %}</td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td>{{ 'get_total_price()'|ng}} {{ 'meta.default_currency' | ng }}</td>
            <td>{{ 'get_total_copies()'|ng}}</td>
            <td></td>
          </tr>

          <tr ng-repeat="it in copies" id="card{{ 'it.id' | ng }}" ng-mouseenter="show_buttons[$index] = true" ng-mouseleave="show_buttons[$index] = false" class="my-animated-item">
            <td ng-show="show_images">
              <div ng-show="show_images" class="col-md-6"><img ng-show="it.img" ng-src="{{ 'it.img' | ng }}" class="myImg"/>
              </div>
            </td>
            <td>
              <div class="col-md-12"><a href="{{ 'it.get_absolute_url' | ng}}">{{ 'it.title' | ng }}</a>
                <!-- WIP reservation feature locked-->
                <div ng-show="it.quantity_clients_reserved_to_be_notified > 0"><strong>Notice reservée !</strong>
                  <button type="button" data-toggle="modal" data-target="#fixreservationModal" title="Mettre de côté, prévenir le client de sa réservation" ng-click="reservation_details(it.id)" class="btn btn-default"><i class="glyphicon glyphicon-user"></i>
                  </button>
                </div>
                <div ng-show="show_images" style="color: darkgrey">{{'it.isbn'|ng}}</div>
                <div ng-show="show_images">{{'it.authors_repr'|ng}}</div>
              </div>
            </td>

            <td>
              <div style="padding: 3px" ng-click="showShelfById(it.shelf_id)" class="badge badge-secondary mouse-pointer">{{ 'it.shelf' | ng }} </div>
              <div ng-repeat="alert in it.alerts track by $index">

                <div ng-show="alert.status == 'warning'">
                  <div style="background-color: red"> {{ 'alert.message' | ng }} </div>
                  <div id="shelf-select-td">
                    <select id="shelf-select" name="shelves" ng-model="new_shelf" ng-options="shelf.fields.name for shelf in shelves track by shelf.pk" ng-change="update_card_shelf(it, new_shelf)"></select>
                  </div>
                </div>
                <div ng-show="alert.status == 'info'">
                  <div style="background-color: lightblue"> {{ 'alert.message' | ng }} </div>
                </div>
                <div ng-show="alert.status == 'success'">
                  <div style="background-color: lightgreen"> {{ 'alert.message' | ng }} </div>
                </div>
              </div>
            </td>

            <td>{{ 'it.pubs_repr' | ng }}</td>
            <td>{{ 'it.dist_repr' | ng }}</td>
            <td>{{ 'it.created' | ng }}</td>
            <td class="text-right">{{ 'it.quantity' | ng}}</td>
            <td class="text-right">{{ 'it.price_fmt' | ng }}</td>
            <td>
              <input type="number" min="0" max="99" ng-model="it.basket_qty" ng-change="save_quantity($index)" class="my-number-input"/>
            </td>
          </tr>
        </tbody>
      </table>
      <div ng-show="copies.length > page_size" class="col-md-7">
        <div class="btn-group"><span aria-label="page navigation" class="text-right">
            <ul ng-show="copies.length" class="pagination">
              <li class="page-item"><a ng-click="firstPage()" class="page-link">&laquo;</a>
              </li>
              <li class="page-item"><a ng-click="previousPage()" class="page-link"><</a>
              </li>
              <li class="page-item"><a class="page-link">Page {{ 'page' | ng }} / {{ 'meta.num_pages' | ng }} ({{ 'meta.nb_results' | ng }})</a>
              </li>
              <li class="page-item"><a ng-click="nextPage()" class="page-link">></a>
              </li>
              <li class="page-item"><a ng-click="lastPage()" class="page-link">&raquo;</a>
              </li>
            </ul></span>
        </div>
        <div class="btn-group">
          <select ng-show="copies.length" ng-model="page_size" ng-options="it for it in page_sizes" style="width: 5em" class="form-control"></select>
        </div>
      </div>
    </div>
  </div>
  <div id="fixreservationModal" class="modal">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title">Réservations</h4>
          <button type="button" data-dismiss="modal" class="close"></button>
        </div>
        <div class="modal-body">
          <h5>{% trans "Ces clients ont réservé cette notice" %}</h5>
          <div ng-repeat="resa in cur_card_reservations.reservations">
            <div id="#resa-{{ 'resa.client_id' | ng }}">
              <h4>{{ 'resa.client_repr' | ng }}<a ng-href="{{ 'resa.client.url' | ng }}" target="_blank"><i class="glyphicon glyphicon-share"></i></a>
              </h4>
              <div ng-show="resa.client.mobilephone"><span>{{ 'resa.client.mobilephone' | ng }} <i class="glyphicon glyphicon-phone"></i></span>
              </div>
              <button type="button" ng-click="validate_reservation(resa)" ng-disabled="resa.disabled" title="Enlever ce livre du fonds" class="btn btn-success">OK &nbsp;<i class="glyphicon glyphicon-ok"></i>
              </button><a href="mailto:{{'resa.client.email'|ng}}?subject={% trans 'Your reservation has arrived' %}&body={% trans 'Hello' %} %0D%0A %0D%0A {{ 'body' | ng }}"><i title="{% trans 'Write to' %}  {{ 'distributor.name' | ng}} {% trans ' with your desktop mail client' %}" style="margin-left: 1em" class="glyphicon glyphicon-envelope"></i></a>
            </div>
          </div><!--p(style="margin-top: 1em;")
          <button type="button" ng-click="validate_reservation_send_all_emails()" class="btn btn-warning">Send email to all</button>-->
        </div>
      </div>
    </div>
  </div>
</div>{% endblock content %}
